### Method

# GLib AsyncQueue push_front_unlocked

since: 2.46

#### Declaration

    void
    g_async_queue_push_front_unlocked (
      GAsyncQueue* queue,
      gpointer item
    )

#### Description

Pushes the `item` into the `queue`. `item` must not be `NULL`. In contrast to g_async_queue_push_unlocked(), this function pushes the new item ahead of the items already in the queue, so that it will be the next one to be popped off the queue.

This function must be called while holding the `queue`‘s lock.

Available since: 2.46

#### Parameters

`item`

  Type: `gpointer`

  Data to push into the `queue`.

  The data is owned by the caller of the method.